> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/merchant-integration/api-reference-1/debit-transaction/redirect-process.md).

# Redirect Process

**Endpoint URL Redirect Process**

The endpoint URL is used as a feedback URL that will process the data that is redirected from the merchant system. For the implementation of the testing, UAT can use the URL development

<table><thead><tr><th width="151">Environment</th><th>URL</th></tr></thead><tbody><tr><td>Development</td><td><a href="https://debit-sandbox.faspay.co.id/pws/100003/0830000010100000/%3Csign%3E?queryString">https://debit-sandbox.faspay.co.id/pws/100003/0830000010100000/%3Csign%3E?queryString</a></td></tr></tbody></table>

**Redirect Parameter Request Process**

Request parameters are parameters that the merchant's system must provide can redirect the system Faspay process.

<table><thead><tr><th width="147">Parameter</th><th width="170">Data Type</th><th width="73">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>trx_id</td><td>Numeric (16)</td><td>M</td><td>Transaction ID (Issued/generated by Faspay (Media Indonusa)) Notes: Unique Transaction ID for 1 day or as long as it hasn't been paid and hasn't expired</td></tr><tr><td>merchant_id</td><td>Numeric (5)</td><td>M</td><td>Merchant Code</td></tr><tr><td>bill_no</td><td>Alphanumeric (16)</td><td>M</td><td>Order Number</td></tr><tr><td>signature</td><td>Alphanumeric</td><td>M</td><td>sha1(md5((user_id + password + bill_no))</td></tr></tbody></table>

{% hint style="info" %}
&#x20;**Examples hit Faspay Redirect :**\
<https://dev.faspay.co.id/pws/100003/0830000010100000/e0ba1b2dc29ab4cb4221df092f44b1c4e6f45c63?trx\\_id=3100440033666278\\&merchant\\_id=31004\\&bill\\_no=31004001>

For two step channel redirect is not something mandatory, you can display the transaction detail on your website with your design.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/debit-transaction/redirect-process.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
